Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Parâmetros de consultas
api-version
string
obrigatório
The API version to use for this operation.
Parâmetros do cabeçalho
Foundry-Features
enum
obrigatório
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parâmetros de caminho
name
string
obrigatório
Name of the model.
version
string
obrigatório
Version of the model.
Corpo do Pedido
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
obrigatório
The type of pending upload. Only TemporaryBlobReference is supported for models.
Respostas
The request has succeeded.
Corpo
blobReference
BlobReference
obrigatório
Blob reference details.
blobUri
string
obrigatório
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
obrigatório
ARM ID of the storage account to use.
credential
SasCredential
obrigatório
SAS Credential definition
sasUri
string
obrigatório
SAS uri
type
enum
obrigatório
Type of credential
pendingUploadId
string
obrigatório
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
obrigatório
The type of pending upload. Only TemporaryBlobReference is supported for models.
Pedir
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json